# Internal Abstract Types

## Solvers

```@docs
NonlinearSolve.AbstractNonlinearSolveAlgorithm
NonlinearSolve.AbstractNonlinearSolveExtensionAlgorithm
NonlinearSolve.AbstractNonlinearSolveCache
```

## Descent Algorithms

```@docs
NonlinearSolve.AbstractDescentAlgorithm
NonlinearSolve.AbstractDescentCache
```

## Approximate Jacobian

```@docs
NonlinearSolve.AbstractApproximateJacobianStructure
NonlinearSolve.AbstractJacobianInitialization
NonlinearSolve.AbstractApproximateJacobianUpdateRule
NonlinearSolve.AbstractApproximateJacobianUpdateRuleCache
NonlinearSolve.AbstractResetCondition
```

## Damping Algorithms

```@docs
NonlinearSolve.AbstractDampingFunction
NonlinearSolve.AbstractDampingFunctionCache
```

## Line Search

```@docs
NonlinearSolve.AbstractNonlinearSolveLineSearchAlgorithm
NonlinearSolve.AbstractNonlinearSolveLineSearchCache
```

## Trust Region

```@docs
NonlinearSolve.AbstractTrustRegionMethod
NonlinearSolve.AbstractTrustRegionMethodCache
```

## Tracing

```@docs
NonlinearSolve.AbstractNonlinearSolveTraceLevel
```
